[Contacts]When user quickly double taps Retry button or Cancel button after tapping Memory card button, it will back to Contacts view.

RESOLVED WONTFIX

Status

Firefox OS
Gaia::Contacts
RESOLVED WONTFIX
2 years ago
2 months ago

People

(Reporter: Tony(Leave from Mozilla), Unassigned)

Tracking

unspecified
ARM
Gonk (Firefox OS)

Firefox Tracking Flags

(b2g-v2.2 affected, b2g-v2.5 affected, b2g-master affected)

Details

Attachments

(2 attachments)

(Reporter)

Description

2 years ago
[1.Description]:
[Flame master&v2.5&v2.2][Aries KK master&v2.5][Contacts]When user quickly double taps Retry button or Cancel button after tapping Memory card button, it will back to Contacts view.

Found at: 14:25.
See attachment:logcat_1425.txt, AriesKK_master.3gp.

[2.Testing Steps]: 
Precondition: No contacts on SD in the device.
1. Tap Contacts app from homescreen.
2. Tap gear icon on the right corner.
3. Tap Import Contacts button.
4. Tap Memory card button on Import Contacts view.
5. Quickly double tap Retry button or Cancel button.

[3.Expected Result]: 
5. It should back to Import Contacts view.

[4.Actual Result]: 
5. It will back to Contacts view.

[5.Reproduction build]: 
Device: Aries KK master(Affected)
Build ID               20151219131630
Gaia Revision          d069027f9af6f835ef869f1f01b52339e5a3f423
Gaia Date              2015-12-18 08:50:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/388bdc46ba51ee31da8b8abe977e0ca38d117434
Gecko Version          46.0a1
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151219.123525
Firmware Date          Sat Dec 19 12:35:33 UTC 2015
Bootloader             s1

Device: Aries KK v2.5(Affected)
Build ID               20151218184045
Gaia Revision          eeed1451e0e48b63abe3199e4d6906adc2a762d2
Gaia Date              2015-12-17 14:53:36
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/766600655dfb1b67c380b9da4f4b19acb505a858
Gecko Version          44.0
Device Name            aries
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151218.174305
Firmware Date          Fri Dec 18 17:43:13 UTC 2015
Bootloader             s1


Device: Flame KK master 512mb(Affected)
Build ID               20151220150206
Gaia Revision          d069027f9af6f835ef869f1f01b52339e5a3f423
Gaia Date              2015-12-18 08:50:41
Gecko Revision         https://hg.mozilla.org/mozilla-central/rev/388bdc46ba51ee31da8b8abe977e0ca38d117434
Gecko Version          46.0a1
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151220.191933
Firmware Date          Sun Dec 20 19:19:45 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK v2.5 512mb(Affected)
Build ID               20151218180935
Gaia Revision          eeed1451e0e48b63abe3199e4d6906adc2a762d2
Gaia Date              2015-12-17 14:53:36
Gecko Revision         http://hg.mozilla.org/releases/mozilla-b2g44_v2_5/rev/766600655dfb1b67c380b9da4f4b19acb505a858
Gecko Version          44.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.worker.20151218.172320
Firmware Date          Fri Dec 18 17:23:30 UTC 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

Device: Flame KK v2.2 512mb(Affected)
Build ID               20151220032501
Gaia Revision          885647d92208fb67574ced44004ab2f29d23cb45
Gaia Date              2015-10-07 13:05:24
Gecko Revision         https://hg.mozilla.org/releases/mozilla-b2g37_v2_2/rev/2120b3e6f680
Gecko Version          37.0
Device Name            flame
Firmware(Release)      4.4.2
Firmware(Incremental)  eng.cltbld.20151220.072936
Firmware Date          Sun Dec 20 07:29:47 EST 2015
Firmware Version       v18D v4
Bootloader             L1TC000118D0

[6.Reproduction Frequency]: 
Always Recurrence,10/10

[7.TCID]: 
Free Test
(Reporter)

Updated

2 years ago
status-b2g-v2.2: --- → affected
status-b2g-v2.5: --- → affected
status-b2g-master: --- → affected
(Reporter)

Comment 1

2 years ago
Created attachment 8700545 [details]
logcat_1425.txt
(Reporter)

Comment 2

2 years ago
Created attachment 8700546 [details]
AriesKK_master.3gp

Comment 3

2 months ago
Firefox OS is not being worked on
Status: NEW → RESOLVED
Last Resolved: 2 months ago
Resolution: --- → WONTFIX
You need to log in before you can comment on or make changes to this bug.